*******************************
*NCAA Coaches and Protest Data*
*******************************

*** Preliminary Look at the Data ***

sum * if coach==1

tab White
tab AfricanAmerican 
tab AsianAmerican 
tab Hispanic 
tab NativeAmerican 
tab otherethnic

tab coach
tab headcoach

tab AfricanAmerican if antsup != . 

corr pid ideology

sum ant* if coach==1
sum aup* if coach==1
sum pol* if coach==1

sum Baseball Basketball BeachVolleyball Bowling CrossCountry Diving Fencing FieldHockey Football Golf Gymnastics ///
	IceHockey Lacrosse LightweightRowing Pistol Rifle Rowing Soccer Softball Swimming SynSwimming Tennis TrackField /// 
	Volleyball WaterPolo Wrestling othersport1 othersport2 if coach==1

*** Making Scale Variables ***

* Police Concern
gen policeusflip = 6- policeus
gen policecommflip = 6- policecomm
 
gen policusflip2 = (policeusflip-1)/5
gen policcommflip2 = (policecommflip-1)/5
gen policecl2 = (policecl-1)
gen polblackus2 = (polblackus-1)/2
gen polblackcomm2 = (polblackcomm-1)/2
gen polforceus2 = (polforceus-1)/2
gen polforcecomm2 = (polforcecomm-1)/2
gen polbrutal3 = (polbrutal-1)/3
gen polcbrutal4= polbrutal2 -1

sum policusflip2  policcommflip2 policecl2 polblackus2  polblackcomm2  polforceus2  polforcecomm2  polbrutal3  polcbrutal4 if coach==1
alpha policusflip2  policcommflip2 policecl2 polblackus2  polblackcomm2  polforceus2  polforcecomm2  polbrutal3  polcbrutal4 if coach==1

egen policeconcern = rowmean(policusflip2 policcommflip2 policecl2 polblackus2 ///
	polblackcomm2 polforceus2 polforcecomm2 polbrutal3 polcbrutal4)
sum policeconcern
tab policeconcern

* American Identity
sum american amertypi ameryou amerwe if coach==1
alpha american amertypi ameryou amerwe if coach==1
corr american amertypi ameryou amerwe if coach==1

egen americanperson = rowmean(american  amertypi ameryou amerwe)
sum americanperson
tab americanperson

* Racial Discrimination Variable *
tab rdisc1

gen racedis = rdisc1
sum racedis
tab racedis

corr racedis policeconcern if coach==1

*** Regression Tables ***

* Anthem Protest Table
regress antsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 
outreg2 using anthem, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Support") word replace
regress antteamrule AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1  
outreg2 using anthem, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Team Rule") word append
logit antcare AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
outreg2 using anthem, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Care") word append
logit antpressur AfricanAmerican female age income educat ideology policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
outreg2 using anthem, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Pressure") word append
logit antatten AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
outreg2 using anthem, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Attention") word append

* APU Protest Table
regress aupsup AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1
outreg2 using aup, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Support") word replace
regress aupteamrule AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1  
outreg2 using aup, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Team Rule") word append
logit aupcare AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
outreg2 using aup, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Care") word append
logit auppressur AfricanAmerican female age income educat ideology  racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
outreg2 using aup, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Pressure") word append
logit aupatten AfricanAmerican female age income educat ideology  racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
outreg2 using aup, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Attention") word append

* Apparel Protest Table
regress polsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1
outreg2 using poli, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Support") word replace
regress polteamrule AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 
outreg2 using poli, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Team Rule") word append
logit polcare AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
outreg2 using poli, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Care") word append
logit polpressur AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
outreg2 using poli, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Pressure") word append
logit polatten AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
outreg2 using poli, alpha(.01, .05, .1) bdec(3) sdec(3) addstat(Log Lik, e(ll)) ctitle("Attention") word append

* Mediation Table
regress antsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football antcare antpressur antatten if coach == 1 & antsup ~= .
outreg2 using mediation, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Anthem") word replace
regress aupsup AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football aupcare auppressur aupatten if coach == 1 & aupsup ~= .
outreg2 using mediation, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("APU") word append
regress polsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football polcare polpressur polatten if coach == 1 & polsup ~= .
outreg2 using mediation, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Apparel") word append

*** Predicted Probabilities and Means ***

* Anthem DVs
estsimp regress antsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18 b19

estsimp regress antteamrule AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1  
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18 b19

estsimp logit antcare AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18

estsimp logit antpressur AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18

estsimp logit antatten AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1 & antsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18

* APU DVs
estsimp regress aupsup AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3  Basketball Football if coach == 1
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17

estsimp regress aupteamrule AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1  
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17

estsimp logit aupcare AfricanAmerican female age income educat ideology racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16

estsimp logit auppressur AfricanAmerican female age income educat ideology  racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16

estsimp logit aupatten AfricanAmerican female age income educat ideology  racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & aupsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16

* Apparel DVs
estsimp regress polsup AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18 b19

estsimp regress polteamrule AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18 b19

estsimp logit polcare AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18

estsimp logit polpressur AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
setx mean
simqi
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18

estsimp logit polatten AfricanAmerican female age income educat ideology  policeconcern americanperson racedis polinterest playsport coachmen fieldyears headcoach d3 Basketball Football if coach == 1 & polsup ~= .
setx mean
setx AfricanAmerican 0
simqi
setx AfricanAmerican 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18
